package org.xyzh.common.dto.usercenter;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 用户积分表
 * @filename TbUserPoints.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbUserPoints extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 总积分
     */
    private Integer totalPoints;
    
    /**
     * @description 当前积分
     */
    private Integer currentPoints;
    
    /**
     * @description 用户等级
     */
    private Integer level;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public Integer getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(Integer totalPoints) {
        this.totalPoints = totalPoints;
    }

    public Integer getCurrentPoints() {
        return currentPoints;
    }

    public void setCurrentPoints(Integer currentPoints) {
        this.currentPoints = currentPoints;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    @Override
    public String toString() {
        return "TbUserPoints{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", totalPoints=" + totalPoints +
                ", currentPoints=" + currentPoints +
                ", level=" + level +
                '}';
    }
}
